% Attach to the target PC file system.
f=xpctarget.fs;

% Open the file, read the data, close the file.
%{
h=fopen(f,'c:\step3.dat');
data=fread(f,h);
fclose(f,h);

% Unpack the data.
x=readxpcfile(data);
%}

% Plot 1 second of the data.
figure(1); 
subplot(4,1,1), plot(x.data(:,9),x.data(:,1:2));
grid on; xlabel('time [sec]'); ylabel('xd [mm]');
axis([0,12, -100,200]);
subplot(4,1,2), plot(x.data(:,9),x.data(:,3:4));
grid on; xlabel('time [sec]'); ylabel('th [deg]');
axis([0,12, 0,150]);
subplot(4,1,3), plot(x.data(:,9),x.data(:,5:6));
grid on; xlabel('time [sec]'); ylabel('err [deg]');
axis([0,12, -0.5, 0.5]);
subplot(4,1,4), plot(x.data(:,9),x.data(:,7:8));
grid on; xlabel('time [sec]'); ylabel('Vol [V]');
axis([0,12, -2,2]);