% Attach to the target PC file system.
f=xpctarget.fs;

%{
% Open the file, read the data, close the file.
h=fopen(f,'c:\step3.dat');
data=fread(f,h);
fclose(f,h);
% Unpack the data.
x=readxpcfile(data);
%}
% Plot 1 second of the data.
% 3-axis %
figure(1); 
subplot(4,1,1), plot(x.data(:,13),[x.data(:,1:2), (180/pi)*x.data(:,3)]);
grid on; xlabel('time [sec]'); ylabel('xd [mm], th [deg]');
axis([0,15,-100,200]);
subplot(4,1,2), plot(x.data(:,13),x.data(:,4:6));
grid on; xlabel('time [sec]'); ylabel('th [deg]');
axis([0,15,-200,200]);
subplot(4,1,3), plot(x.data(:,13),x.data(:,7:9));
grid on; xlabel('time [sec]'); ylabel('err [deg]');
axis([0,15,-1,1]);
subplot(4,1,4), plot(x.data(:,13),x.data(:,10:12));
grid on; xlabel('time [sec]'); ylabel('DA [V]');
axis([0,15,-2,2]);